Skip to main content
POST
/
api
/
v3
/
deposit
/
card
Deposit via card
curl --request POST \
  --url https://preview.kotanipay.com/api/v3/deposit/card \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fullName": "John Doe",
  "phoneNumber": "+245XXXXXXXXX",
  "currency": "eg ZAR",
  "card": {
    "number": "4591005500136100",
    "holder": "John Doe",
    "expiryMonth": "01",
    "expiryYear": "2025",
    "cvv": "123",
    "paymentBrand": "VISA",
    "customerRedirectUrl": "https://example.com"
  },
  "amount": 10,
  "country": "ZA",
  "referenceId": "5f9b2c7b9c9d6b0017b4e6b1",
  "callbackUrl": "https://example.com",
  "customerRedirectUrl": "https://example.com"
}
'
{
  "success": true,
  "message": "Checkout Created successfully created.",
  "data": {
    "id": "<string>",
    "message": "<string>",
    "reference_id": "<string>",
    "reference_number": 123,
    "customer_key": "<string>",
    "redirect_url": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt

Use this file to discover all available pages before exploring further.

Customer completed transaction using checkout URL. This endpoint allows customers to deposit funds via card payment.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
fullName
string
required

full name

Example:

"John Doe"

phoneNumber
string
required

Customer Phone Number

Example:

"+245XXXXXXXXX"

currency
enum<string>
required

ZAR is currently supported

Available options:
KES,
GHS,
NGN,
ZAR,
ZAR,
USD,
XOF,
ZMW,
XAF,
SLE,
CDF,
TZS,
UGX,
EGP,
MWK,
RWF,
ETB,
MZN,
LSL,
GNF,
USDT,
BTC,
ETH,
USDC
Example:

"eg ZAR"

card
object
required

Card Details

amount
number
required

amount to deposit

Example:

10

country
string

Country where the wallet is used (optional if derivable from currency) - Cards are accepted globally

Example:

"ZA"

referenceId
string

reference id

Example:

"5f9b2c7b9c9d6b0017b4e6b1"

callbackUrl
string

callback url

Example:

"https://example.com"

customerRedirectUrl
string

customer redirect url

Example:

"https://example.com"

Response

success
boolean
Example:

true

message
string
Example:

"Checkout Created successfully created."

data
object